#include <gb/gb.h>
#include <rand.h>

#ifndef HELPERS
#define HELPERS

const UINT8 SPRITE_SIZE_HALF = 4;
const UINT8 SPRITE_SIZE = 8;
const UINT8 SPRITE_SIZE2 = 16;
const UINT8 SPRITE_SIZE3 = 24;
const UINT8 SPRITE_SIZE4 = 32;

UINT8 i;
UINT8 j;
INT8 si;
INT8 sj;
UINT8 waitI;

typedef struct Rect
{
    UINT8 x;
	UINT8 y;
	UINT8 width;
	UINT8 height;
} Rect;

UBYTE CheckRectCollision(Rect* rect1, Rect* rect2);
void Wait(UINT8 numloops);
void FadeOut(UINT8 wait);
void FadeIn(UINT8 wait);
void SetFadePalette(UINT8 index);
UINT8 Clamp(UINT8 value, UINT8 min, UINT8 max);
UINT8 Wrap(UINT8 value, UINT8 min, UINT8 max);
void UINT8ToText(UINT8 num, unsigned char *numberTiles);
void WaitForRandom();
UINT8 GetRandom(UINT8 maxValue);

#endif
